{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "connectorMapID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "contactID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "contactID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "estimateID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "estimateID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "foreignAppName",
      "externalType" : "char",
      "name" : "foreignAppName",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "foreignDatabase",
      "externalType" : "char",
      "internalInfo" : {
        "_nameInObjectStore" : "foreignAppName"
      },
      "name" : "foreignDatabase",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "foreignEntityType",
      "externalType" : "char",
      "name" : "foreignEntityType",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "foreignID",
      "externalType" : "char",
      "name" : "foreignID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "groupID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "groupID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "lastPullDate",
      "externalType" : "datetime",
      "name" : "lastPullDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "lastPushDate",
      "externalType" : "datetime",
      "name" : "lastPushDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "lineItemID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "lineItemID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "noteID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "noteID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "opportunityID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "opportunityID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "organizationID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "organizationID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "projectID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "projectID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "taskID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "taskID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "timeblockID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "timeblockID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    },
    {
      "addedInModelVersion" : 1151,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "emailID",
      "externalType" : "longlong",
      "name" : "emailID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 1151,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "fileAttachmentID",
      "externalType" : "longlong",
      "name" : "fileAttachmentID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 1151,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "integrationIdentifier",
      "externalType" : "char",
      "name" : "integrationIdentifier",
      "purpose" : "Identify which integration made this connector map",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString"
    }
  ],
  "className" : "GWConnectorMap",
  "classProperties" : [
    "connectorMapID",
    "contactID",
    "estimateID",
    "foreignAppName",
    "foreignDatabase",
    "foreignEntityType",
    "foreignID",
    "groupID",
    "lastPullDate",
    "lastPushDate",
    "lineItemID",
    "noteID",
    "opportunityID",
    "organizationID",
    "projectID",
    "taskID",
    "timeblockID",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "emailID",
    "fileAttachmentID",
    "integrationIdentifier",
    "contact",
    "estimate",
    "group",
    "lineItem",
    "note",
    "opportunity",
    "organization",
    "project",
    "task",
    "timeblock",
    "fileAttachment",
    "email"
  ],
  "domain" : "General",
  "externalName" : "ConnectorMap",
  "fetchSpecificationDictionary" : {

  },
  "internalInfo" : {
    "_clientClassPropertyNames" : [
      "connectorLinkID",
      "contactID",
      "groupID",
      "noteID",
      "opportunityID",
      "organizationID",
      "projectID",
      "taskID",
      "timeblockID",
      "contact",
      "group",
      "note",
      "opportunity",
      "organization",
      "project",
      "task",
      "timeblock",
      "estimateID",
      "estimate",
      "foreignAppName",
      "lineItemID",
      "lineItem",
      "foreignDatabase",
      "foreignEntityType",
      "foreignID",
      "lastPushDate",
      "lastPullDate"
    ]
  },
  "isDatabasePreference" : false,
  "isTrashable" : true,
  "name" : "ConnectorMap",
  "primaryKeyAttributes" : [
    "connectorMapID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Contact",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "contactID",
          "sourceAttribute" : "contactID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "contact",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Estimate",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "estimateID",
          "sourceAttribute" : "estimateID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "estimate",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Group",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "groupID",
          "sourceAttribute" : "groupID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "group",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "LineItem",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "lineItemID",
          "sourceAttribute" : "lineItemID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "lineItem",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Note",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "noteID",
          "sourceAttribute" : "noteID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "note",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Opportunity",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "opportunityID",
          "sourceAttribute" : "opportunityID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "opportunity",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Organization",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "organizationID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organization",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Project",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "projectID",
          "sourceAttribute" : "projectID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "project",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Task",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "taskID",
          "sourceAttribute" : "taskID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "task",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Timeblock",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "timeblockID",
          "sourceAttribute" : "timeblockID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "timeblock",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1151,
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "FileAttachment",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "fileAttachmentID",
          "sourceAttribute" : "fileAttachmentID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "fileAttachment",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1151,
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Email",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "emailID",
          "sourceAttribute" : "emailID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "email",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportedPlatforms" : "MCPSupportedPlatformsDesktopOnly",
  "supportsPermissions" : false,
  "uniqueIdentifier" : "8"
}